Bug 9691 - Shared libraries don't work with g++
Summary: Shared libraries don't work with g++
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.2.1
: P2 normal
Target Milestone: ---
Assignee: Eric Christopher
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2003-02-13 12:16 UTC by christian.corti
Modified: 2003-11-25 11:55 UTC (History)
3 users (show)

See Also:
Host: mipsel-dec-netbsd1.6
Target: mipsel-dec-netbsd1.6
Build: mipsel-dec-netbsd1.6
Known to work:
Known to fail:
Last reconfirmed: 2003-07-28 18:32:30


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description christian.corti 2003-02-13 12:16:00 UTC
g++ can't create working or use shared libraries.
Programs linked against such libraries will crash on loading with a segmentation
fault.
My test program compiled with 'g++-3.2 -o test test.cc':
#include <iostream>
main()
{
  std::cout << "Hello!\n";
}

Output of 'ldd test'
test:
        -lm.0 => /usr/lib/libm.so.0
        -lstdc++.5 => /usr/local/lib/libstdc++.so.5
        -lc.12 => /usr/lib/libc.so.12
        -lgcc_s.1 => /usr/local/lib/libgcc_s.so.1

Output of 'gcc-3.2 -v'
Configured with: ../gcc-3.2.1/configure --host=mipsel-dec-netbsd1.6
--program-suffix=-3.2 --with-ld=/usr/local/bin/ld
--with-as=/usr/local/bin/as

Output of '/usr/local/bin/ld -v':
GNU ld version 2.13.2.1

Output of '/usr/local/bin/as -v':
GNU assembler version 2.13.2.1 (mipsel-dec-netbsd1.6) using
BFD version 2.13.2.1

Output of 'gdb test test.core'
[...]
#0  0x5ffe5b30 in _rtld_relocate_objects () from /usr/libexec/ld.elf_so

Creating a statically linked version of this program works,
i.e. "g++-3.2 -static -o test test.cc" produces a working
'test' program.

The same problem occurs with binutils 2.11.2.
binutils 2.9.1 can't be used for compiling gcc 3.2.1 on
mipsel as this will lead to an assembler error during
compilation of one of the libgcc files.

I tried g++ 3.2.1 on a SUN 4/260 (sun4) with SunOS 4.1.1
and it is broken too. gcc 3.2.1 however works fine on all
platforms.

Release:
gcc 3.2.1

Environment:
DECstation 5000/260 MIPS R4400; NetBSD 1.6;
binutils 2.13.2.1

How-To-Repeat:
Any program compiled with g++ will crash on loading.
Comment 1 Dara Hazeghi 2003-05-14 12:45:27 UTC
From: Dara Hazeghi <dhazeghi@yahoo.com>
To: Christian.Corti@studserv.uni-stuttgart.de, gcc-gnats@gcc.gnu.org
Cc:  
Subject: Re: other/9691: Shared libraries don't work with g++
Date: Wed, 14 May 2003 12:45:27 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 trail&database=gcc&pr=9691
 
 Hello,
 
 I'd be rather surprised if such a major bug went unnoticed for long.  
 Still NetBSD/mips aren't the most common platforms. Would it be  
 possible for you to check whether this problem still occurs with a  
 current gcc (ie 3.3)? Thanks,
 
 Dara
 
Comment 2 Wolfgang Bangerth 2003-05-15 04:38:25 UTC
State-Changed-From-To: open->feedback
State-Changed-Why: See Dara's question
Comment 3 Dara Hazeghi 2003-06-20 02:11:51 UTC
Hello,

this is just a reminder that this bug has been awaiting feedback for over a month now. Have you 
had a chance to try gcc 3.3 yet, and see whether this problem still occurs? Jason does this problem 
look familiar to you by any chance? Thanks,

Dara
Comment 4 christian.corti 2003-06-21 19:18:45 UTC
Subject: Re:  Shared libraries don't work with g++

Sorry for the delay, I have been very busy the last few months.

I have just tried GCC 3.3 (with gcc and g++). I'm running NetBSD 1.6.1
(the latest release) instead of 1.6 now. Guess what happens when I try my
test program (see my first posting).
I do 'g++-3.3 -o test test.cc' and I get the "good" old segmentation
fault. Compiling with -static produces working programs, but they are very
huge (3.5 MB for test.cc).
So the problem has not been fixed. I give you some more output, hopefully
it will help a little in finding the cause of this. As a reminder g++-2.95
works fine.

'g++-3.3 -v -o test test.cc':

Reading specs from
/usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3/specs
Configured with: /usr/local/src/gcc-3.3/configure
Thread model: single
gcc version 3.3
 /usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3/cc1plus -quiet -v
-D__GNUC__=3 -D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 test.cc
-D__GNUG__=3 -quiet -dumpbase test.cc -auxbase test -version -o
/var/tmp//ccNNGunf.s
GNU C++ version 3.3 (mipsel-unknown-netbsd1.6.1.)
        compiled by GNU C version 3.3.
GGC heuristics: --param ggc-min-expand=34 --param ggc-min-heapsize=8192
ignoring nonexistent directory "NONE/include"
ignoring nonexistent directory "/usr/local/mipsel-unknown-netbsd1.6.1./include"
#include "..." search starts here:
#include <...> search starts here:
 /usr/local/include/c++/3.3
 /usr/local/include/c++/3.3/mipsel-unknown-netbsd1.6.1.
 /usr/local/include/c++/3.3/backward
 /usr/local/include
 /usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3/include
 /usr/include
End of search list.
 as -EL -g0 -32 -v -KPIC -o /var/tmp//ccbfBj4T.o /var/tmp//ccNNGunf.s
GNU assembler version 2.11.2 (mipsel--netbsd) using BFD version 2.11.2nb1
 /usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3/collect2 -EL -dc
-dp -e __start -dynamic-linker /usr/libexec/ld.elf_so -o test
/usr/lib/crt0.o /usr/lib/crtbegin.o
-L/usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3
-L/usr/local/lib/gcc-lib/mipsel-unknown-netbsd1.6.1./3.3/../../..
/var/tmp//ccbfBj4T.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc
/usr/lib/crtend.o

Output of 'ldd test':

test:
         -lm.0 => /usr/lib/libm.so.0
         -lstdc++.5 => /usr/local/lib/libstdc++.so.5
         -lc.12 => /usr/lib/libc.so.12
         -lgcc_s.1 => /usr/local/lib/libgcc_s.so.1

Output of 'gdb test test.core'
[...]
Core was generated by `test'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/libexec/ld.elf_so...done.
Loaded symbols for /usr/libexec/ld.elf_so
[...]
Reading symbols from /usr/lib/libc.so.12...done.
Loaded symbols for /usr/lib/libc.so.12
#0  0x5ffe5b50 in _rtld_relocate_objects () from /usr/libexec/ld.elf_so
(gdb)

Output of kdump (generated by ktrace):

 23269 ktrace   EMUL  "netbsd"
 23269 ktrace   CALL  execve(0x7fffe717,0x7fffe630,0x7fffe638)
 23269 ktrace   NAMI  "./test"
 23269 ktrace   NAMI  "/usr/libexec/ld.elf_so"
 23269 test     EMUL  "netbsd"
 23269 test     RET   execve JUSTRETURN
 23269 test     CALL  mprotect(0x5ffe0000,0xd000,0x7)
 23269 test     RET   mprotect 0
 23269 test     CALL  mprotect(0x5ffe0000,0xd000,0x5)
 23269 test     RET   mprotect 0
 23269 test     CALL  __sysctl(0x7fffe39c,0x2,0x5ffee630,0x7fffe3a4,0,0)
 23269 test     RET   __sysctl 0
 23269 test     CALL  mmap(0,0x8000,0x3,0x1002,0xffffffff,0,0,0)
 23269 test     RET   mmap 805306368/0x30000000
 23269 test     CALL  geteuid
 23269 test     RET   geteuid 0
 23269 test     CALL  getuid
 23269 test     RET   getuid 0
 23269 test     CALL  getegid
 23269 test     RET   getegid 0
 23269 test     CALL  getgid
 23269 test     RET   getgid 0
 23269 test     CALL  open(0x5ffe1890,0,0x5ffe1890)
 23269 test     NAMI  "/etc/ld.so.conf"
 23269 test     RET   open -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004000,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libstdc++.so.5"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002100,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libstdc++.so.5"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004000,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libstdc++.so.5"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30004000,0,0)
 23269 test     NAMI  "/usr/local/lib/libstdc++.so.5"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M^@+\0`4\0\0\0000\
	\^PU\0\^C\0\0\0004\0 \0\^F\0(\0%\0"\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  open(0x30004000,0,0x1)
 23269 test     NAMI  "/usr/local/lib/libstdc++.so.5"
 23269 test     RET   open 3
 23269 test     CALL  __fstat13(0x3,0x7fffe494)
 23269 test     RET   __fstat13 0
 23269 test     CALL  read(0x3,0x7fffd42c,0x1000)
 23269 test     GIO   fd 3 read 4088 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M^@+\0`4\0\0\0000\
	\^PU\0\^C\0\0\0004\0 \0\^F\0(\0%\0"\0\0\0\0p\0\^A\0\0\0\^A\M-~_\0\^A\
	\M-~_\^X\0\0\0\^X\0\0\0\^D\0\0\0\^P\0\0\0\^A\0\0\0\0\0\0\0\0\0\M-~_\0\
	\0\M-~_\M-x\M-v\a\0\M-x\M-v\a\0\^E\0\0\0\0\^P\0\0\^A\0\0\0\0\M-w\a\0\0\
	\M-w	`\0\M-w	`D\M-x\0\0\M^@\M-x\0\0\^F\0\0\0\0\^P\0\0\^B\0\0\0 \^A\
	\0\0 \^A\M-~_ \^A\M-~_g(\^B\0g(\^B\0\^D\0\0\0\^P\0\0\0\^A\0\0p\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\M-`\M-L\^A\0\^D\0\0\0\^P\0\0\0\^D\0\0\0\M-H\
	\M-%\a\0\M-H\M-%\^E`\M-H\M-%\^E`\^X\0\0\0\^X\0\0\0\^D\0\0\0\^D\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0>\0\a\M-2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0@^\v`\0\
	\0\0\0\0\0\0\0\^A\0\0\0\M-n]\^A\0\^N\0\0\0(^\^A\0\f\0\0\0L*\0`\r\0\0\0\
	\M-d\M^B\^E`\^D\0\0\0\M-p\^A\M-~_\^E\0\0\0P\M-K\M-~_\^F\0\0\0\0007\M-~\
	_
	\0\0\0007^\^A\0\v\0\0\0\^P\0\0\0\^V\0\0\0\0\0\0\0\^C\0\0\0P\M-^
	`\^Q\0\0\0\M-`\M-%\^E`\^R\0\0\0\^XQ\0\0\^S\0\0\0\b\0\0\0\v\0\0p\0\0\0\
	\0\^P\0\0p\0\0\0\0\^A\0\0p\^A\0\0\0\^E\0\0p\^B\0\0\0\^F\0\0p\0\0\M-~_
	\0\0p\^N\0\0\0\^Q\0\0pE	\0\0\^R\0\0p"\0\0\0\^S\0\0p\^V\^E\0\0\^T\0\0p\
	\f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-{\^C\0\0E	\0\0\M-v\^F\0\
	\0D\^D\0\0\M^K\^E\0\0\M-D\^C\0\0X\^B\0\0x\^C\0\0\^[\a\0\0\0\0\0\0\0\0\
	\0\0=\^F\0\0\M-w\b\0\0\M-j\^B\0\0]\^F\0\0h\^E\0\0\^P\^C\0\0\M-^\^E\0\0\
	\M-#\^C\0\0:\b\0\0\M-M\^B\0\0\0\0\0\0\M-F\b\0\0\M^\\^E\0\0000\^F\0\0\
	\^?\^D\0\0\M-?\^A\0\0\M-H\0\0\0\M-s\^C\0\0\M^V\^B\0\0\0\0\0\0l\a\0\0x\
	\a\0\0w\^C\0\0\M-G\^D\0\0-\a\0\0\M-?\^F\0\0=\^E\0\0\0\0\0\0\M-L\^F\0\0\
	\M-#\^D\0\0^\^B\0\0n\^D\0\0\M->\^D\0\0\M-8\^D\0\0G\0\0\0\^Z\^F\0\0\M-4\
	\^C\0\0\M^_\^E\0\0\M-6\^A\0\0E\^D\0\0v\^E\0\0\M^_\^A\0\0\M-5\^D\0\0\
	\M-G\^E\0\0\M-P\^B\0\0k\^E\0\0\0\0\0\0Z\^E\0\0\M^V\^D\0\0l\^E\0\0\M-V\
	\^C\0\0L\^D\0\0\^P	\0\0\M-k\a\0\0\M-%\0\0\0\M^K\^D\0\0C\^D\0\0\
	\M-/\^D\0\0\^A\^C\0\0\M^U\^F\0\0o\^C\0\0:\^D\0\0\M^Z\^F\0\0S\b\0\0\M-d\
	\^D\0\0\M-9\^A\0\0V\^A\0\0U\^F\0\0\M-z\^C\0\0\0\0\0\0\M-5\^F\0\0\M-D\
	\^B\0\0\M^N\^B\0\0\M-&\^F\0\0\M-J\^C\0\0\M^X\^A\0\0\0\0\0\0\M-P\^E\0\0\
	\M-|\^D\0\0\f\a\0\0o\^E\0\0\0\0\0\0\0\0\0\0\f\^F\0\0l\^F\0\0\M-x\^C\0\
	\0\M^F\b\0\0l\^C\0\0\M^O\^E\0\0\M^M\^C\0\0\M^S\^F\0\0$\^D\0\0~\^D\0\0\
	\^B\^E\0\0\M-i\^B\0\0K\^E\0\0U\^E\0\0\M-^\^D\0\0\M-.\^E\0\0~\^F\0\0[\
	\^A\0\0\^T\^F\0\0\M-A\^E\0\0\M-)\^B\0\0\M-p\^D\0\0\M-,\^E\0\0\M-I\^D\0\
	\0\0\0\0\0\M-R\^C\0\0f\^C\0\0\b\^E\0\0H\^E\0\0!\a\0\0\M-\\^E\0\0\M-j\
	\^D\0\0\M-T\^D\0\0G\^F\0\0R\^E\0\0\M-3\^E\0\0\M^K\^C\0\0\0\b\0\0i\^D\0\
	\0\M-<\^E\0\0\M-c\^E\0\0_\^F\0\0y\^D\0\0a\^C\0\0\M^_\a\0\0\M^R\b\0\08\
	\^D\0\0\^C\a\0\0s\a\0\0\M-_\^D\0\0\0\0\0\0
	\^E\0\0\M-2\^C\0\0\M-S\^D\0\0\M^X\^E\0\0\0\0\0\0~\^C\0\0\0\0\0\0\M^@\
	\^F\0\0\M-'\^D\0\0\M-Z\b\0\0f\^D\0\0\M-x\^B\0\0\0\0\0\0\0\0\0\0\M-*\^C\
	\0\0\M-K\^D\0\0\M-z\b\0\0w\a\0\0B\^E\0\0\0\0\0\0\M-+\b\0\0\^X\^E\0\0\
	\M-6\^D\0\0\M-`\^A\0\0u\^F\0\0\M^Y\^C\0\0\0\0\0\0006\^F\0\0\f\^B\0\0\0\
	\0\0\0\M^X\^D\0\0\M^N\^C\0\0\M-O\^E\0\0\M-/\^C\0\0\M^]\^B\0\0\M-Z\a\0\
	\0\^Y\b\0\0\M-I\^C\0\0\M^V\^A\0\0\M-`\^D\0\0V\^F\0\0v\^F\0\0\0\0\0\0:\
	\^E\0\0\^T\^E\0\0\M->\^B\0\0\^Z\^E\0\0\M-M\^C\0\0b\^E\0\0?\^B\0\0\M-/\
	\^F\0\0\M-I\a\0\0M\^E\0\0\M-J\^F\0\0\134\^A\0\0c\a\0\0/\^D\0\0\M^E\0\0\
	\0\M-J\^A\0\0\M-!\^D\0\0\0\0\0\0\M-/\^E\0\0\M-h\^C\0\0\M^E\^C\0\0\M-a\
	\b\0\0\0\0\0\0\M-b\^E\0\0R\^D\0\0002\^E\0\0N\^E\0\0W\^F\0\0\M-X\^E\0\0\
	\M-H\^B\0\0005\a\0\0{\^E\0\0\M-C\^B\0\0\M-C\^D\0\0\M-?\^D\0\0\M-~\^D\0\
	\0\M-U\^C\0\0\M^\\^D\0\0\M^R\^B\0\0\M^D\^C\0\0\M^G\^B\0\0\^?\^B\0\0\
	\M--\^D\0\0\M--\^C\0\0z\^E\0\0\M-L\^E\0\0\M^^\^D\0\0\0\0\0\0\^V\^D\0\0\
	 \a\0\0\M-q\^E\0\0\0\0\0\0\M-x\^E\0\0\M^O\a\0\0\M-|\^E\0\0W\^D\0\0006\
	\^D\0\0\M^[\^F\0\0\M^A\^C\0\0\M-,\0\0\0\b\^D\0\0\M-o\^E\0\0\^_\^E\0\0\
	\^\\^E\0\0\M-9\^D\0\0D\^B\0\0A\^E\0\0\M-m\^C\0\0C\a\0\0b\^B\0\0w\^E\0\
	\0\M-U\^D\0\0\M^[\a\0\0\M-t\^D\0\0\0\0\0\0\M-S\^E\0\0003	\0\0\0\
	\0\0\0p\a\0\0\^U\^E\0\0{\^C\0\0\240\b\0\0\M->\a\0\0\M-C\^F\0\0+\^E\0\0\
	\^O\^D\0\0\M^F\^B\0\0>	\0\0\0\0\0\0V\^D\0\0L\^E\0\0Y\^B\0\0\0\0\0\0\
	\^C\b\0\0\M-R\^F\0\0\0\0\0\0C\^F\0\0\M-@\^C\0\0N\^F\0\0\a\^E\0\0l\b\0\
	\0\M-T\^E\0\0z\^C\0\0\0\0\0\09\^D\0\0h\^B\0\0\240\^E\0\0004\^D\0\0\M-c\
	\^F\0\0\M-g\^C\0\0\^W\^E\0\0\M-h\^D\0\0[\^D\0\0\M-d\^F\0\0001\b\0\0\
	\M-r\^E\0\0=\^D\0\0\^?\^F\0\0000\a\0\0\M-X\^D\0\0000\^D\0\0\M-M\^E\0\0\
	\0\0\0\0\M^Y\^D\0\0\M-}\^E\0\0\a\^C\0\0\^W\^D\0\0W\^C\0\0\M-d\^C\0\0\
	\M-2\^E\0\0\0\^A\0\0\M-v\b\0\0\M-|\a\0\0p\^E\0\0\M^W\^B\0\0P\^E\0\0>\a\
	\0\0r\^E\0\0_\^E\0\0p\^C\0\0\^A\^E\0\0\M-?\^C\0\0\M-$\^E\0\0\M^W\^F\0\
	\08\^A\0\0m\^B\0\0n\^F\0\0\^[\^E\0\0\M-p\^C\0\0\M^V\^F\0\0\0\0\0\0\M^X\
	\b\0\0\0\0\0\0\M-E\^E\0\0`\^C\0\0\0\0\0\0Q\^E\0\0007\^B\0\0\M-;\^B\0\0\
	(\^C\0\0%\^E\0\0\0\0\0\0\M^N\0\0\0'\^D\0\0)\^E\0\0\M-]\^A\0\0\M^P\b\0\
	\0\0\0\0\0\M^^\^F\0\0\M-b\^D\0\0\M^Z\^C\0\0\^D\^D\0\0}\^B\0\0\M^G\^D\0\
	\0f\^B\0\0\M-t\^E\0\0\M^E\^F\0\0\M-c\^B\0\0\M-1\^E\0\0W\b\0\0u\^D\0\0?\
	\^D\0\0\M-2\^D\0\0\M^D\b\0\0A\^C\0\0e\^C\0\0i\^A\0\0\M-f\^A\0\0\M-=\a\
	\0\0b\^F\0\0\^\\a\0\0N\b\0\0\M-K\^C\0\0\v\^F\0\0\M^J\b\0\0\M-z\^D\0\0\
	\0\0\0\0\0\0\0\0002\^F\0\0\0\0\0\0\M-f\^D\0\0n\^A\0\0\M-<\^D\0\0\M-Z\
	\^C\0\0S\^F\0\0\M-r\^C\0\0\0\0\0\0\M-i\^D\0\0\M-0\^E\0\0\M^G\^E\0\0\
	\M^U\^C\0\0i\^E\0\0\M-s\^B\0\0\M-E\^F\0\0\M^T\^F\0\0\M-0\^C\0\0@\^E\0\
	\0\f\^D\0\0T\^C\0\0\M^Z\^E\0\0003\^E\0\0\M-P\^D\0\0\M-$\a\0\0D\^E\0\0\
	\^V\^F\0\0\^D\a\0\0\0\0\0\0\0\0\0\08\^E\0\0\M^U\^E\0\0006\^E\0\0\M-U\
	\^E\0\0\M^P\^D\0\0\M-`\^E\0\0\^[\^D\0\0\M-i\0\0\0\M-Q\^E\0\0~\^E\0\0\0\
	\^D\0\0
	\^D\0\0R\^C\0\0\M-{\^D\0\0&\^E\0\0g\^D\0\0_\^D\0\0\0\0\0\0~\0\0\0\^E\
	\^E\0\0007\^A\0\0\M^C\b\0\0\M^B\a\0\0\M^B\^C\0\0;\^E\0\0\M-x\^D\0\0\
	\M-.\^D\0\0\a\a\0\0\M-7\^C\0\0\M-l\^E\0\0\M^O\^D\0\0X\^D\0\0=\a\0\0\
	\M-"\^A\0\0^\^D\0\0\M-d\^E\0\0'\^E\0\0\0\0\0\0\M^Q\^B\0\0\M-w\^C\0\0\
	\M-N\^D\0\0\M^Q\^F\0\0B\^F\0\0002\^B\0\0\M-%\^E\0\0\M-2\a\0\0\M^E\^D\0\
	\0*\^E\0\0\134\^D\0\0\M-c\^D\0\0\M^O\b\0\0\M-=\^E\0\0\M-7\^E\0\0\M^H\
	\^C\0\0F\^E\0\0\M^O\^C\0\0N\^D\0\0*\^D\0\0\M-'\^E\0\0}\^E\0\0A\^F\0\0^\
	\^E\0\0\^V\^B\0\0\M-%\^F\0\0\M-g\a\0\0\M^Z\a\0\0R\^B\0\0\^^\^F\0\0\0\
	\^E\0\0\^P\^E\0\0\M-x\^F\0\0005\^B\0\0\a\^D\0\0001\^E\0\0m\^D\0\0\M--\
	\a\0\0\r\^A\0\0o\^D\0\0\0\0\0\0\M^M\^F\0\0\M^X\a\0\0:\^B\0\0\M-T\^C\0\
	\0\M-&\^E\0\0U\b\0\0p\^D\0\0!\^C\0\0\M-G\^B\0\0\0\0\0\0\M-;\^E\0\0l\^D\
	\0\0\M-k\^F\0\0\^D\^B\0\0C\^E\0\0\M-l\^D\0\0(\^E\0\0\M^C\^F\0\0 \^D\0\
	\0\M-Q\^D\0\0\M^R\0\0\0\^R\^F\0\0U\^D\0\0\M-b\^C\0\0)\0\0\0\M^A\^E\0\0\
	\^]\^C\0\0\M^T\a\0\0\M-F\a\0\0007\^E\0\0\0\0\0\0\M-,\^F\0\0\M-\\^C\0\0\
	\0\0\0\0\0\0\0\0\M-"\^D\0\0\M-.\^C\0\0.\^D\0\0\M-P\0\0\0\^X\^F\0\0\f\
	\^C\0\0S\^C\0\0\^Y\^B\0\0\M-E\^D\0\0\0\0\0\0\M-3\^F\0\0/\^C\0\0r\0\0\0\
	D\^A\0\0j\^E\0\0q\^D\0\0\^[\^F\0\0\M-5\^E\0\0\0\0\0\0\M-W\^E\0\0\0\0\0\
	\0\M-%\^D\0\0\M-n\^D\0\0\M-6\^F\0\0@\^D\0\0\0\^C\0\0\240\^B\0\0\0\0\0\
	\0\M^C\^A\0\0,\^F\0\0n\b\0\0e\^D\0\0\M^H\^D\0\0\M-U\^F\0\0\M-4\^E\0\0\
	\M^Q\^A\0\0004\^E\0\0t\^F\0\0\f\^E\0\0\M-9\^F\0\0\0\0\0\0\M-w\^F\0\0\
	\^R\^E\0\0\^S\^D\0\0\M-w\^E\0\0\M-H\^D\0\0g\^E\0\0\0\0\0\0\^N\^E\0\0\
	\^E\^F\0\0\M-M\b\0\0\M^I\^D\0\0\M-|\^F\0\0Z\^F\0\0\^W\^F\0\0M\a\0\0\
	\M-h\^B\0\0\0\0\0\0U\^C\0\0\M^C\^E\0\0\M^@\^E\0\0\^D\^E\0\0\M-@\^D\0\0\
	\M-0\^B\0\0\M-3\^D\0\0\M-:\^E\0\0\M-l\^C\0\0\M-p\^E\0\0\M-9\^C\0\0J\b\
	\0\0\M^]\^E\0\0\^?\^E\0\0\M-k\^A\0\0\M^^\^E\0\0;\^C\0\0\M^O\^A\0\0\M-z\
	\^B\0\0006\^C\0\0\^E\^D\0\0O\^E\0\0\M-7\b\0\0\M-!\^E\0\0\M-A\^D\0\0<\a\
	\0\0\^U\^D\0\0\M^A\^D\0\0s\^E\0\0007\b\0\0e\^F\0\0\M-q\^D\0\0\0\0\0\0\
	\M-Z\^D\0\0\M-K\^B\0\0\M-t\^B\0\0W\0\0\0C\b\0\0B\0\0\0\^Q	\0\0i\
	\^F\0\0004\^F\0\0\0\0\0\0\134\^E\0\0\M^V\^C\0\0\M-R\^E\0\0\M-}\a\0\0y\
	\^C\0\0\M-d\^A\0\0\M-$\^D\0\0\240\^A\0\0w\^F\0\0\M^Z\^D\0\08\a\0\0?\a\
	\0\0\0\0\0\0\0\0\0\0-\^E\0\0e\a\0\0`\^D\0\0\0\0\0\0.\^E\0\0\0\0\0\0\
	\M-y\^D\0\0\M-j\^C\0\0k\^C\0\0?\^C\0\0\M-o\b\0\0\^X\^D\0\0s\^A\0\0002\
	\^C\0\0{\^A\0\0/\^E\0\0\0\0\0\0t\^D\0\0\M-r\^F\0\0\M-.\a\0\0\M-T\b\0\0\
	\0\0\0\0\M-v\^E\0\0\M-#\^B\0\0\M-{\^E\0\0\0\0\0\0\M^Y\^F\0\0'\^C\0\08\
	\^C\0\0\^O\^C\0\0\M-$\^F\0\0\^U\^B\0\0\M-E\b\0\0\r\^E\0\0\M-a\^C\0\0\
	\^X\a\0\0\M-u\^D\0\0\M^S\^C\0\0,\^B\0\0\M-N\^E\0\0-\b\0\0J\^D\0\0\M-W\
	\^A\0\0\M-X\b\0\0\0\0\0\0[\^E\0\0O\^F\0\0<\^E\0\0\M-:\a\0\0\M^E\^E\0\0\
	\M-W\^F\0\0\M-1\^C\0\0\M^H\a\0\0\0\0\0\0\M-h\0\0\0\0\0\0\0Y\^C\0\0\M^I\
	\^E\0\0P\^C\0\0\^T\^D\0\0\0\0\0\0\M-I\b\0\0\M-;\^D\0\0I\^F\0\0\0\0\0\0\
	x\^E\0\0\M^R\^F\0\0R\^F\0\0\^Y\^E\0\0\^Z\^D\0\0\M^D\^E\0\0\M-d\^B\0\0^\
	\^C\0\0\^N\a\0\0M\^D\0\0\0\0\0\0>\^B\0\0\M^_\^D\0\0W\^A\0\0#\^D\0\0\^N\
	\b\0\0\M-B\^D\0\0D\^C\0\0\M-^\a\0\0+\^A\0\0H\a\0\0\M-,\^D\0\0\^F\^E\0\
	\0\^Q\^D\0\0\M-s\^D\0\0e\^E\0\0\M-&\^D\0\0\M-]\^D\0\0\M-@\^E\0\0(\^D\0\
	\0\M-1\^D\0\0\M-?\^E\0\0\M^Q\^E\0\0Y\a\0\0000\^A\0\0\M-[\^B\0\0\^^\^E\
	\0\0\M-#\^E\0\0\M^E\a\0\0\M-H\^E\0\0G\^E\0\0000\^E\0\0,\^E\0\0\M-\\^B\
	\0\0\M-o\^B\0\0\M-A\^C\0\09\^E\0\0\M^@\^C\0\0\M-A\^B\0\0\M^?\^D\0\0\
	\134\a\0\0\M-[\^D\0\0p\^B\0\0\M-m\^E\0\0h\^D\0\0\M-L\^D\0\0\M-<\^F\0\0\
	>\^A\0\0\M-`\^C\0\0\M-<\^C\0\0"\^E\0\0f\^E\0\0Z\^D\0\0r\^F\0\0\M-g\^D\
	\0\0\M-Y\^C\0\0\M-a\a\0\0\0\0\0\0\M-X\^C\0\0E\^E\0\0F\^F\0\0\M-R\^D\0\
	\0\M-r\^D\0\0\M^H\b\0\0\0\0\0\0\0\0\0\0\M^C\^D\0\0D\a\0\0D\^F\0\0\M-M\
	\^D\0\0M\^F\0\0\M-*\^D\0\0\M^C\^C\0\0\r\^F\0\0\M^W\^D\0\0d\^C\0\0\M-[\
	\^C\0\0f\^A\0\0\M-Q\0\0\0\M-8\^C\0\0\0\0\0\0\M-S\^B\0\0\^C\^E\0\0^\a\0\
	\0	\a\0\0\M-!\a\0\0\0\0\0\0)\^D\0\0\^U\a\0\0\v\^C\0\0\M-}\^D\0\0\
	\M-m\^D\0\0 \^F\0\0\M-v\a\0\0}\^F\0\0\M-o\^D\0\0\0\0\0\0;\a\0\0\v\^D\0\
	\0V\^E\0\0#\^E\0\0a\^D\0\0"\^F\0\0\0\0\0\0g\b\0\0E\^B\0\0\0\0\0\0t\^E\
	\0\0\M^F\^F\0\0\^S\^E\0\0k\0\0\0m\^E\0\0:\^C\0\0\0\0\0\0\^O\^F\0\0\M-l\
	\^F\0\0\M--\^E\0\0\M^]\^D\0\0Y\^E\0\0\M^B\^E\0\0\^O\^E\0\0\M^M\^D\0\0;\
	\0\0\0\M^X\^B\0\0\M-'\^C\0\0\M--\^B\0\0\M-F\^C\0\0\M-Z\^E\0\0\M-[\b\0\
	\0\0\0\0\0-\0\0\0\M-~\^F\0\0d\^F\0\0\M-J\^E\0\0001\a\0\0\0\0\0\0\0\0\0\
	\0\M^H\^E\0\0\M-O\^D\0\0\0\0\0\0\M-~\^C\0\0\M-e\^D\0\0)\^F\0\0k\^F\0\0\
	\M^W\^E\0\0`\^E\0\0\^_\^F\0\0$\^E\0\0\M-^\^B\0\0\0\0\0\0\M-f\^E\0\0I\b\
	\0\0.\^C\0\0k\^B\0\0\0\0\0\0\0\0\0\0\M-T\^F\0\0?\^F\0\0\M^P\^B\0\0\0\0\
	\0\0\134\b\0\0\M-T\^A\0\0\M-p\0\0\0\0\0\0\0\M^@\^D\0\0&\^B\0\0\0\0\0\0\
	\M-\\^A\0\0005\b\0\0c\^F\0\0=\^B\0\0\^O\^B\0\0\M^M\^E\0\0\M^S\b\0\0[\
	\^F\0\0\0\0\0\0\^T\a\0\0\M-Y\^D\0\0"
 23269 test     GIO   fd 3 read 8 bytes
       "\v\^A\0\0\M^?\^C\0\0"
 23269 test     RET   read 4096/0x1000
 23269 test     CALL  mmap(0,0xcf000,0x5,0x2,0x3,0,0,0)
 23269 test     RET   mmap 805339136/0x30008000
 23269 test     CALL  mmap(0x300c7000,0x10000,0x3,0x12,0x3,0,0x7f000,0)
 23269 test     RET   mmap 806121472/0x300c7000
 23269 test     CALL  mmap(0x300d7000,0,0x3,0x1012,0xffffffff,0,0,0)
 23269 test     RET   mmap 806187008/0x300d7000
 23269 test     CALL  munmap(0x30088000,0x3f000)
 23269 test     RET   munmap 0
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  __stat13(0x30002100,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002100,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002100,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004080,0x7fffe404)
 23269 test     NAMI  "/usr/local/qt-3.1.1/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002100,0x7fffe404)
 23269 test     NAMI  "/usr/lib/libm.so.0"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30002100,0,0)
 23269 test     NAMI  "/usr/lib/libm.so.0"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-P\^^\M-~_4\0\0\0\
	`7\^C\0\^C\0\0\0004\0 \0\^F\0(\0\^[\0\^X\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  open(0x30002100,0,0x1)
 23269 test     NAMI  "/usr/lib/libm.so.0"
 23269 test     RET   open 3
 23269 test     CALL  __fstat13(0x3,0x7fffe494)
 23269 test     RET   __fstat13 0
 23269 test     CALL  read(0x3,0x7fffd42c,0x1000)
 23269 test     GIO   fd 3 read 4088 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-P\^^\M-~_4\0\0\0\
	`7\^C\0\^C\0\0\0004\0 \0\^F\0(\0\^[\0\^X\0\0\0\0p\0\^A\0\0\0\^A\M-~_\0\
	\^A\M-~_\^X\0\0\0\^X\0\0\0\^D\0\0\0\^P\0\0\0\^A\0\0\0\0\0\0\0\0\0\M-~_\
	\0\0\M-~_\240\M-|\^A\0\240\M-|\^A\0\^E\0\0\0\0\^P\0\0\^A\0\0\0\240\M-|\
	\^A\0\240\M-|\^C`\240\M-|\^C`\M-x\^A\0\0 \^B\0\0\^F\0\0\0\0\^P\0\0\^B\
	\0\0\0 \^A\0\0 \^A\M-~_ \^A\M-~_\M-,\^[\0\0\M-,\^[\0\0\^D\0\0\0\^P\0\0\
	\0\^A\0\0p\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0`!\0\0\^D\0\0\0\^P\0\0\0\^D\
	\0\0\0x\M-|\^A\0x\M-|\M^?_x\M-|\M^?_\^X\0\0\0\^X\0\0\0\^D\0\0\0\^D\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0>\0\a\M-2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\M-`|\^D`\0\0\0\0\0\0\0\0\^N\0\0\0)\a\0\0\^O\0\0\0003\a\0\0\f\0\0\0\
	\M^P\^]\M-~_\r\0\0\0\^T\M-D\M^?_\^D\0\0\0\M-p\^A\M-~_\^E\0\0\0\M^P\^U\
	\M-~_\^F\0\0\0`\b\M-~_
	\0\0\0<\a\0\0\v\0\0\0\^P\0\0\0\^V\0\0\0\0\0\0\0\^C\0\0\0\M-p\M-|\^C`\
	\^Q\0\0\0\M^P\M-|\M^?_\^R\0\0\0\^P\0\0\0\^S\0\0\0\b\0\0\0\v\0\0p\0\0\0\
	\0\^P\0\0p\0\0\0\0\^A\0\0p\^A\0\0\0\^E\0\0p\^B\0\0\0\^F\0\0p\0\0\M-~_
	\0\0p\b\0\0\0\^Q\0\0p\M-S\0\0\0\^R\0\0p\^X\0\0\0\^S\0\0pq\0\0\0\^T\0\0\
	p\^F\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-E\0\0\0\M-S\0\0\0r\0\0\0\
	\0\0\0\0\M^S\0\0\0Q\0\0\0G\0\0\0\M-;\0\0\0:\0\0\0\0\0\0\0w\0\0\0\0\0\0\
	\0_\0\0\0p\0\0\0j\0\0\0\0\0\0\0+\0\0\0l\0\0\0|\0\0\0002\0\0\0B\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0g\0\0\0\M^I\0\0\0\0\0\0\0\M-,\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0f\0\0\0P\0\0\0\0\0\0\0W\0\0\0\M->\
	\0\0\0\0\0\0\0\0\0\0\0N\0\0\0\0\0\0\0s\0\0\0\M^V\0\0\0\0\0\0\0\0\0\0\0\
	\M-"\0\0\0\0\0\0\0\M^C\0\0\09\0\0\0\^?\0\0\0\0\0\0\0\M^F\0\0\0@\0\0\0\
	\0\0\0\0q\0\0\0\240\0\0\0\0\0\0\0M\0\0\0\0\0\0\0b\0\0\0a\0\0\0\0\0\0\0\
	\0\0\0\0z\0\0\0t\0\0\0\0\0\0\0I\0\0\0Z\0\0\0\M-'\0\0\0\M^P\0\0\0\M^B\0\
	\0\0`\0\0\0\M^W\0\0\0>\0\0\0\M^_\0\0\0\0\0\0\0/\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0~\0\0\0\0\0\0\0\M^T\0\0\0\M-A\0\0\0\M-)\0\0\0d\
	\0\0\0%\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-+\0\0\0\0\0\0\0\0\0\0\0*\0\0\0\
	\0\0\0\0X\0\0\0\M-3\0\0\0^\0\0\0\^Y\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-#\
	\0\0\0e\0\0\0\0\0\0\0\^W\0\0\0\0\0\0\0\0\0\0\0\M^G\0\0\0T\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0m\0\0\0\M^N\0\0\0\0\0\0\0\0\0\0\0\M--\0\0\0\
	\0\0\0\0\M-9\0\0\0\0\0\0\0\M-1\0\0\0,\0\0\0A\0\0\0i\0\0\0y\0\0\0\134\0\
	\0\0\M^A\0\0\0-\0\0\0R\0\0\0\0\0\0\0\M-*\0\0\0K\0\0\0o\0\0\0\0\0\0\0k\
	\0\0\0\M-I\0\0\0?\0\0\0\M-J\0\0\0&\0\0\0\0\0\0\0\0\0\0\0<\0\0\0\0\0\0\
	\0\M-C\0\0\0\0\0\0\0\M-Q\0\0\0!\0\0\0\0\0\0\0O\0\0\0\0\0\0\0\M^H\0\0\0\
	v\0\0\0\0\0\0\0 \0\0\0\M^K\0\0\0}\0\0\0u\0\0\0004\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\M-=\0\0\0\0\0\0\0\0\0\0\0]\0\0\0\M^M\0\0\0\M^]\0\0\0\0\0\0\
	\0\0\0\0\0;\0\0\0\^X\0\0\0{\0\0\0\M^Y\0\0\0S\0\0\0\M^O\0\0\0n\0\0\0\
	\M-(\0\0\0c\0\0\0L\0\0\0\M^D\0\0\0\0\0\0\0x\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0h\0\0\0\M^J\0\0\0\^Z\0\0\0F\0\0\0[\0\0\0\M^E\0\0\0\M^Q\0\0\0\M^@\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^[\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\^]\0\0\0)\0\0\0\0\0\0\0\^_\0\0\0\0\0\0\0\0\0\
	\0\0\M-O\0\0\0\0\0\0\0\0\0\0\0.\0\0\0\0\0\0\0\M-/\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\M-0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0(\
	\0\0\0\0\0\0\0\^\\0\0\0\0\0\0\0001\0\0\0\0\0\0\0C\0\0\0$\0\0\0\0\0\0\0\
	\0\0\0\0\M^\\0\0\0\0\0\0\0\M-M\0\0\0\0\0\0\0\0\0\0\0\M-&\0\0\0003\0\0\
	\0\0\0\0\0\M-!\0\0\0\0\0\0\0\0\0\0\0\M-2\0\0\0Y\0\0\0\0\0\0\0\M-7\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\M^^\0\0\0\0\0\0\0\0\0\0\0\M^[\0\0\0\M-G\0\0\
	\0\0\0\0\0E\0\0\0\0\0\0\0\M-5\0\0\0\0\0\0\0\0\0\0\0\M^U\0\0\0\M^L\0\0\
	\0\0\0\0\0\M-D\0\0\0\M-4\0\0\0U\0\0\0\M^Z\0\0\0\0\0\0\0\M-N\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0=\0\0\0'\0\0\0\M-:\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\M-%\0\0\0\0\0\0\0\0\0\0\0006\0\0\0\0\0\0\0\0\0\0\0\M^R\
	\0\0\0\0\0\0\0005\0\0\0\M-6\0\0\0"\0\0\0\0\0\0\0\M-E\0\0\0\0\0\0\0D\0\
	\0\0J\0\0\0\M-K\0\0\0\M-<\0\0\0V\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\M^X\0\0\0H\0\0\0\0\0\0\08\0\0\0\0\0\0\0\M-$\0\0\0\0\0\0\0007\0\0\0\
	\M-?\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0#\0\0\0\M-.\0\0\0\0\0\0\0\M-8\0\0\0\
	\0\0\0\0\M-R\0\0\0\0\0\0\0\M-@\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\M-F\0\0\0\0\0\0\0\M-L\0\0\0\^^\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\M-H\0\0\0\0\0\0\0000\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\M-B\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-P\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0\^W\0\0\0\0\0\0\^A\M-~_\0\0\0\0\^C\0\^A\0\0\0\0\0 \^A\M-~_\0\0\0\
	\0\^C\0\^B\0\0\0\0\0\M-p\^A\M-~_\0\0\0\0\^C\0\^C\0\0\0\0\0`\b\M-~_\0\0\
	\0\0\^C\0\^D\0\0\0\0\0\M^P\^U\M-~_\0\0\0\0\^C\0\^E\0\0\0\0\0\M-L\^\\
	\M-~_\0\0\0\0\^C\0\^F\0\0\0\0\0\M-P\^^\M-~_\0\0\0\0\^C\0\a\0\0\0\0\0\
	\240\M-C\M^?_\0\0\0\0\^C\0\b\0\0\0\0\0\0\M-E\M^?_\0\0\0\0\^C\0	\0\0\0\
	\0\0x\M-|\M^?_\0\0\0\0\^C\0
	\0\0\0\0\0\M^P\M-|\M^?_\0\0\0\0\^C\0\v\0\0\0\0\0\240\M-|\^C`\0\0\0\0\
	\^C\0\f\0\0\0\0\0\M-P\M-|\^C`\0\0\0\0\^C\0\r\0\0\0\0\0\M-T\M-|\^C`\0\0\
	\0\0\^C\0\^N\0\0\0\0\0\M-X\M-|\^C`\0\0\0\0\^C\0\^O\0\0\0\0\0\M-`\M-|\
	\^C`\0\0\0\0\^C\0\^P\0\0\0\0\0\M-p\M-|\^C`\0\0\0\0\^C\0\^Q\0\0\0\0\0\
	\M^X\M-~\^C`\0\0\0\0\^C\0\^R\0\0\0\0\0\240\M-~\^C`\0\0\0\0\^C\0\^S\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\^C\0\^T\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^U\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\^C\0\^V\0$\^C\0\0\M^@B\M-~_\^T\^A\0\0\^R\0\^A\M^?\
	\M-J\^A\0\0p+\M-~_\M-t\0\0\0\^R\0\^A\M^?\M-*\^C\0\0PH\M-~_\M-h\0\0\0\
	\^R\0\^A\M^?\M-N\^E\0\0000\M^H\M-~_\M-d\^A\0\0\^R\0\^A\M^?c\^E\0\0000^\
	\M-~_\M-x\0\0\0\^R\0\^A\M^?\0\a\0\0\240\M-|\^C`\0\0\0\0\^Q\0\^B\M^?_\0\
	\0\0\M-`|\^D`\0\0\0\0\^S\0\M-q\M^?^\^E\0\0\240]\M-~_\M^L\0\0\0\^R\0\^A\
	\M^?\M-V\^C\0\0\M-pI\M-~_\M-x\0\0\0\^R\0\^A\M^?\^F\^C\0\0\M-@=\M-~_(\
	\^A\0\0\^R\0\^A\M^?=\^E\0\0\240Y\M-~_4\^A\0\0\^R\0\^A\M^?b\^A\0\0\M-0#\
	\M-~_T\^B\0\0\^R\0\^A\M^?\^A\0\0\0 \^A\M-~_\0\0\0\0\^Q\0\M-q\M^?R\^E\0\
	\0\M^@\134\M-~_\M^\\0\0\0\^R\0\^A\M^?\M-4\^D\0\0\M-pS\M-~_\134\^A\0\0\
	\^R\0\^A\M^?\240\^E\0\0`\M^A\M-~_\M-<\^A\0\0\^R\0\^A\M^?\M^H\^A\0\0p(\
	\M-~_\M-t\0\0\0\^R\0\^A\M^?\M-"\^B\0\0\2407\M-~_\M-h\0\0\0\^R\0\^A\M^?\
	\a\a\0\0\M-`|\^D`\0\0\0\0\^Q\0\M-q\M^?I\0\0\0\M-2\0\0\0\0\0\0\0\^S\^C\
	\M-q\M^?\M-f\^B\0\0\M^X<\M-~_\^\\^A\0\0\^R\0\^A\M^?r\^E\0\0000_\M-~_,\
	\0\0\0\^R\0\^A\M^?3\^B\0\0\0000\M-~_0\^A\0\0\^R\0\^A\M^?'\^A\0\0\M-0 \
	\M-~_t\^A\0\0\^R\0\^A\M^?k\^B\0\0`4\M-~_4\^A\0\0\^R\0\^A\M^?\M^Q\^E\0\
	\0 o\M-~_\M^X\b\0\0\^R\0\^A\M^?\M^@\^E\0\0`a\M-~_,\0\0\0\^R\0\^A\M^?\
	\M^E\^C\0\0 G\M-~_@\0\0\0\^R\0\^A\M^?\^W\^E\0\0\240X\M-~_x\0\0\0\^R\0\
	\^A\M^?\^^\^C\0\0PA\M-~_0\^A\0\0\^R\0\^A\M^?\134\^D\0\0000P\M-~_\M-d\0\
	\0\0\^R\0\^A\M^?\M->\^C\0\0@I\M-~_P\0\0\0\^R\0\^A\M^?w\0\0\0\M^P\^]\
	\M-~_\^\\^A\0\0\^R\0\^A\M^?\^A\^B\0\0\240-\M-~_,\^A\0\0\^R\0\^A\M^?\
	\M^L\^B\0\0\2405\M-~_\M-h\0\0\0\^R\0\^A\M^?\M-0\^E\0\0p\M^F\M-~_\M-@\
	\^A\0\0\^R\0\^A\M^?\M--\^A\0\0p)\M-~_\M-t\0\0\0\^R\0\^A\M^?\M^P\^B\0\0\
	\M^H6\M-~_\^X\^A\0\0\^R\0\^A\M^?I\^C\0\0\240C\M-~_\^T\^A\0\0\^R\0\^A\
	\M^?\M-G\^D\0\0PU\M-~_\M^D\^A\0\0\^R\0\^A\M^?+\^E\0\0 Y\M-~_x\0\0\0\^R\
	\0\^A\M^?\M-y\^F\0\0\M-P\^^\M-~_\0\0\0\0\^Q\0\^B\M^?\M^T\^C\0\0`G\M-~_\
	\M-h\0\0\0\^R\0\^A\M^?,\^D\0\0 M\M-~_(\^A\0\0\^R\0\^A\M^?\^O\^C\0\0\
	\M-p>\M-~_,\^A\0\0\^R\0\^A\M^?\^V\^C\0\0 @\M-~_,\^A\0\0\^R\0\^A\M^?\
	\M^D\^A\0\0\^P&\M-~_`\^B\0\0\^R\0\^A\M^?\^S\^A\0\0\M-@\^_\M-~_\M-h\0\0\
	\0\^R\0\^A\M^?\M-%\^E\0\0 \M^C\M-~_H\^A\0\0\^R\0\^A\M^?\M-~\^C\0\0\M-p\
	J\M-~_\M-|\0\0\0\^R\0\^A\M^?\M-D\^A\0\0p*\M-~_\M-x\0\0\0\^R\0\^A\M^?\
	\M-+\^E\0\0p\M^D\M-~_\M-x\^A\0\0\^R\0\^A\M^?*\^B\0\0\M-P.\M-~_,\^A\0\0\
	\^R\0\^A\M^?\M^F\^E\0\0\M^Pa\M-~_\M-<\^F\0\0\^R\0\^A\M^?\^R\a\0\0\M^X\
	\M-~\^C`\0\0\0\0\^Q\0\M-q\M^?V\^B\0\00001\M-~_\M-|\0\0\0\^R\0\^A\M^?V\
	\^A\0\0000"\M-~_x\^A\0\0\^R\0\^A\M^?n\^B\0\0`3\M-~_\0\^A\0\0\^R\0\^A\
	\M^?H\^E\0\0\M-`Z\M-~_\240\^A\0\0\^R\0\^A\M^?1\0\0\0\0\0\0\0\0\0\0\0\
	\^S\^C\^B\M^?\^?\^C\0\0\M-`F\M-~_@\0\0\0\^R\0\^A\M^?p\^C\0\0\M-PE\M-~_\
	\^P\^A\0\0\^R\0\^A\M^?\M-\\^A\0\0p,\M-~_(\^A\0\0\^R\0\^A\M^?\M-K\^C\0\
	\0\M^PI\M-~_`\0\0\0\^R\0\^A\M^?\^F\^E\0\0\M-0W\M-~_\M-h\0\0\0\^R\0\^A\
	\M^?\M^Z\^D\0\0\^PR\M-~_\M-d\0\0\0\^R\0\^A\M^?\M^U\0\0\0\^T\M-D\M^?_\
	\M-L\0\0\0\^R\0\^A\M^?W\^D\0\0@O\M-~_\M-d\0\0\0\^R\0\^A\M^?\^D\^D\0\0\
	\M-pK\M-~_$\^A\0\0\^R\0\^A\M^?\M-^\^B\0\0\M^X:\M-~_\^X\^A\0\0\^R\0\^A\
	\M^?\M-v\^B\0\0\M-0;\M-~_\M-h\0\0\0\^R\0\^A\M^?t\^D\0\0 Q\M-~_\M-d\0\0\
	\0\^R\0\^A\M^?\M^Z\^E\0\0`\M^@\M-~_\M-|\0\0\0\^R\0\^A\M^?\M-n\^D\0\0\
	\M-`V\M-~_\M-P\0\0\0\^R\0\^A\M^?\v\a\0\0\M^X\M-~\^C`\0\0\0\0\^Q\0\M-q\
	\M^?
	\0\0\0\M-p\M-|\^C`\0\0\0\0\^Q\0\M-q\M^?$\a\0\0\M-@\M-~\^C`\0\0\0\0\^Q\
	\0\M-q\M^?y\^E\0\0\M-0`\M-~_\M-(\0\0\0\^R\0\^A\M^?]\^C\0\0\M-@D\M-~_\b\
	\^A\0\0\^R\0\^A\M^?\M-b\^B\0\0\M-09\M-~_\M-h\0\0\0\^R\0\^A\M^?\M-~\0\0\
	\0\M-P\^^\M-~_\M-h\0\0\0\^R\0\^A\M^?B\^D\0\0PN\M-~_\M-d\0\0\0\^R\0\^A\
	\M^? \0\0\0\0\0\0\0\0\0\0\0\^S\^C\^B\M^?\240\^D\0\0\0S\M-~_\M-d\0\0\0\
	\^R\0\^A\M^?\^^\a\0\0\M^X\M-~\^C`\0\0\0\0\^Q\0\M-q\M^?\M-?\^B\0\0\M^H8\
	\M-~_\^\\^A\0\0\^R\0\^A\M^?X\^E\0\0 ]\M-~_x\0\0\0\^R\0\^A\M^?\M^U\^E\0\
	\0\M-8w\M-~_\M-$\b\0\0\^R\0\^A\M^?Z\^B\0\0,2\M-~_,\^A\0\0\^R\0\^A\M^?\
	\M^K\^E\0\0Lh\M-~_\M-T\^F\0\0\^R\0\^A\M^?\v\^D\0\0@
	\M^?_\^\\^C\0\0\^R\0\^A\M^?\M-%\^D\0\0`!\M^?_\M^L\^E\0\0\^R\0\^A\M^?\
	\M-y\^B\0\0\^P\M-x\M-~_\M-T\^C\0\0\^R\0\^A\M^?Y\^F\0\0\0{\M^?_x\^A\0\0\
	\^R\0\^A\M^?\M-/\0\0\0\0\0\0\0\0\0\0\0"\0\0\0
	\^E\0\0\M-0\M^L\M-~_0\^C\0\0\^R\0\^A\M^?\M-:\^D\0\0\240:\M^?_<\^D\0\0\
	\^R\0\^A\M^?\M-m\^A\0\0\^P\M-0\M-~_\M-<	\0\0\^R\0\^A\M^?\M-P\^C\0\0\
	\M-P+\M^?_"
 23269 test     GIO   fd 3 read 8 bytes
       "\^X\^A\0\0\^R\0\^A\M^?"
 23269 test     RET   read 4096/0x1000
 23269 test     CALL  mmap(0,0x60000,0x5,0x2,0x3,0,0,0)
 23269 test     RET   mmap 806191104/0x300d8000
 23269 test     CALL  mmap(0x30137000,0x1000,0x3,0x12,0x3,0,0x1f000,0)
 23269 test     RET   mmap 806580224/0x30137000
 23269 test     CALL  mmap(0x30138000,0,0x3,0x1012,0xffffffff,0,0,0)
 23269 test     RET   mmap 806584320/0x30138000
 23269 test     CALL  munmap(0x300f8000,0x3f000)
 23269 test     RET   munmap 0
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  __stat13(0x30004080,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libgcc_s.so.1"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002140,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libgcc_s.so.1"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004080,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libgcc_s.so.1"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30004080,0,0)
 23269 test     NAMI  "/usr/local/lib/libgcc_s.so.1"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0`\^X\M-~_4\0\0\0\
	\M-h\^_
	\0\^C\0\0\0004\0 \0\^F\0(\0&\0#\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  open(0x30004080,0,0x1)
 23269 test     NAMI  "/usr/local/lib/libgcc_s.so.1"
 23269 test     RET   open 3
 23269 test     CALL  __fstat13(0x3,0x7fffe494)
 23269 test     RET   __fstat13 0
 23269 test     CALL  read(0x3,0x7fffd42c,0x1000)
 23269 test     GIO   fd 3 read 4088 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0`\^X\M-~_4\0\0\0\
	\M-h\^_
	\0\^C\0\0\0004\0 \0\^F\0(\0&\0#\0\0\0\0p\0\^A\0\0\0\^A\M-~_\0\^A\M-~_\
	\^X\0\0\0\^X\0\0\0\^D\0\0\0\^P\0\0\0\^A\0\0\0\0\0\0\0\0\0\M-~_\0\0\M-~\
	_X\M-S\0\0X\M-S\0\0\^E\0\0\0\0\^P\0\0\^A\0\0\0`\M-S\0\0`\M-S\^B``\M-S\
	\^B`\M-<\a\0\0\240\b\0\0\^F\0\0\0\0\^P\0\0\^B\0\0\0 \^A\0\0 \^A\M-~_ \
	\^A\M-~_\M-V\^S\0\0\M-V\^S\0\0\^D\0\0\0\^P\0\0\0\^A\0\0p\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\M^P\^[\0\0\^D\0\0\0\^P\0\0\0\^D\0\0\0000\M-R\0\0000\
	\M-R\M-~_0\M-R\M-~_\^X\0\0\0\^X\0\0\0\^D\0\0\0\^D\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0>\0\a\M-2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0000Z\^C`\0\0\0\0\0\
	\0\0\0\^A\0\0\0-\^F\0\0\^N\0\0\0h\^F\0\0\f\0\0\0 \^W\M-~_\r\0\0\0\M-4\
	\M-K\M-~_\^D\0\0\0\0\^B\M-~_\^E\0\0\0p\^N\M-~_\^F\0\0\0000\^F\M-~_
	\0\0\0\M^F\^F\0\0\v\0\0\0\^P\0\0\0\^V\0\0\0\0\0\0\0\^C\0\0\0@\M-Z\^B`\
	\^Q\0\0\0P\M-R\M-~_\^R\0\0\0\b\^A\0\0\^S\0\0\0\b\0\0\0\v\0\0p\0\0\0\0\
	\^P\0\0p\0\0\0\0\^A\0\0p\^A\0\0\0\^E\0\0p\^B\0\0\0\^F\0\0p\0\0\M-~_
	\0\0p(\0\0\0\^Q\0\0p\M^D\0\0\0\^R\0\0p#\0\0\0\^S\0\0pu\0\0\0\^T\0\0p&\
	\0\0\0\M-|\M^?\M^?o\0\^V\M-~_\M-}\M^?\M^?o\^C\0\0\0\M-p\M^?\M^?o\M-v\
	\^T\M-~_\0\0\0\0\0\0\0\0\M^C\0\0\0\M^D\0\0\0\0\0\0\0q\0\0\0E\0\0\0t\0\
	\0\0\0\0\0\0\0\0\0\0D\0\0\0\0\0\0\0#\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0m\0\0\0a\0\0\0\0\0\0\0R\0\0\0g\0\0\0u\0\0\0\^?\0\0\0\0\0\0\0=\0\0\
	\0)\0\0\0r\0\0\0Q\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0x\0\0\0d\0\0\0\134\0\0\
	\0{\0\0\0^\0\0\0V\0\0\0\0\0\0\0U\0\0\0\0\0\0\0j\0\0\0007\0\0\0$\0\0\0M\
	\0\0\0l\0\0\0\0\0\0\0006\0\0\0p\0\0\0\0\0\0\0\0\0\0\0F\0\0\0\0\0\0\0\0\
	\0\0\0B\0\0\0\0\0\0\0002\0\0\0\0\0\0\0\0\0\0\0003\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0s\0\0\0>\0\0\0W\0\0\0\0\0\0\0L\0\0\0\0\0\0\0\M^B\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0f\0\0\0_\0\0\0\0\0\0\
	\0005\0\0\0\0\0\0\0]\0\0\0\0\0\0\0O\0\0\0K\0\0\0h\0\0\0\0\0\0\0o\0\0\0\
	.\0\0\0\0\0\0\0?\0\0\0\0\0\0\0J\0\0\0\0\0\0\0\0\0\0\0'\0\0\0\0\0\0\0\0\
	\0\0\0\M^@\0\0\0i\0\0\0\0\0\0\0\0\0\0\0P\0\0\0`\0\0\0\0\0\0\0\0\0\0\0G\
	\0\0\0v\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0H\0\0\0\0\0\0\0\0\
	\0\0\0,\0\0\0\0\0\0\0c\0\0\0\0\0\0\0:\0\0\0&\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0<\0\0\0\0\0\0\0b\0\0\0n\0\0\0\0\0\0\0\0\0\0\0e\0\0\0y\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0(\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0*\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0+\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0@\0\0\0A\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0/\0\0\0001\0\0\0-\0\0\
	\0\0\0\0\0\0\0\0\08\0\0\0\0\0\0\0\0\0\0\0;\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0004\0\0\0C\0\0\0000\0\0\0\M^C\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0~\0\0\0\0\
	\0\0\0\0\0\0\09\0\0\0T\0\0\0S\0\0\0%\0\0\0I\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0N\0\0\0\0\0\0\0k\0\0\0|\0\0\0Y\0\0\0\0\0\0\0Z\0\0\0"\0\0\0\0\0\0\0\
	\0\0\0\0X\0\0\0}\0\0\0w\0\0\0\0\0\0\0z\0\0\0[\0\0\0\M^A\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0"\0\0\0\0\0\0\^A\M-~_\0\
	\0\0\0\^C\0\^A\0\0\0\0\0 \^A\M-~_\0\0\0\0\^C\0\^B\0\0\0\0\0\0\^B\M-~_\
	\0\0\0\0\^C\0\^C\0\0\0\0\0000\^F\M-~_\0\0\0\0\^C\0\^D\0\0\0\0\0p\^N\
	\M-~_\0\0\0\0\^C\0\^E\0\0\0\0\0\M-v\^T\M-~_\0\0\0\0\^C\0\^F\0\0\0\0\0\
	\0\^V\M-~_\0\0\0\0\^C\0\a\0\0\0\0\0\134\^V\M-~_\0\0\0\0\^C\0\b\0\0\0\0\
	\0`\^X\M-~_\0\0\0\0\^C\0	\0\0\0\0\0@\M-K\M-~_\0\0\0\0\^C\0
	\0\0\0\0\0\240\M-L\M-~_\0\0\0\0\^C\0\v\0\0\0\0\0000\M-R\M-~_\0\0\0\0\
	\^C\0\f\0\0\0\0\0P\M-R\M-~_\0\0\0\0\^C\0\r\0\0\0\0\0`\M-S\^B`\0\0\0\0\
	\^C\0\^N\0\0\0\0\0p\M-S\^B`\0\0\0\0\^C\0\^O\0\0\0\0\0t\M-S\^B`\0\0\0\0\
	\^C\0\^P\0\0\0\0\0$\M-Z\^B`\0\0\0\0\^C\0\^Q\0\0\0\0\0,\M-Z\^B`\0\0\0\0\
	\^C\0\^R\0\0\0\0\0@\M-Z\^B`\0\0\0\0\^C\0\^S\0\0\0\0\0\^\\M-[\^B`\0\0\0\
	\0\^C\0\^T\0\0\0\0\0 \M-[\^B`\0\0\0\0\^C\0\^U\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\^C\0\^V\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^W\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0\^X\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^Y\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0\^Z\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^[\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0\^\\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^]\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0\^^\0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0\^_\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\^C\0 \0\0\0\0\0\0\0\0\0\0\0\0\0\^C\0!\0\M-a\0\0\0000\^Y\M-~_T\0\0\0\
	\^R\0\^A\M^?\M-u\0\0\0\M-p\^Y\M-~_\M-$\0\0\0\^R\0\^A\M^?x\^C\0\0\M-Pp\
	\M-~_\M-D\0\0\0\^R\0\^A\M^?v\^F\0\0\0\0\0\0\0\0\0\0\^Q\0\M-q\M^?\M-s\
	\^A\0\0P*\M-~_\M-p\^F\0\0\^R\0\^A\M^?R\^E\0\0\M^\\M-(\M-~_\^X\0\0\0\^R\
	\0\^A\M^?_\0\0\0000Z\^C`\0\0\0\0\^S\0\M-q\M^?\M^J\^E\0\0l\M-,\M-~_\M^D\
	\0\0\0\^R\0\^A\M^?o\^B\0\0 S\M-~_\M^X\^A\0\0\^R\0\^A\M^?\M-r\^D\0\0T\
	\M-$\M-~_\0\^B\0\0\^R\0\^A\M^?\M-X\^B\0\0\240\134\M-~_\M-@\0\0\0\^R\0\
	\^A\M^?\^A\0\0\0 \^A\M-~_\0\0\0\0\^A\0\M-q\M^?\M^H\^C\0\0pr\M-~_\M-D\0\
	\0\0\^R\0\^A\M^?\^D\^D\0\0\M^H\^?\M-~_\^X\0\0\0\^R\0\^A\M^?$\^E\0\0\
	\M-,\M-&\M-~_\M-(\^A\0\0\^R\0\^A\M^?]\^B\0\08P\M-~_\M-@\0\0\0\^R\0\^A\
	\M^?2\^D\0\0X\^?\M-~_\^X\0\0\0\^R\0\^A\M^?\M-3\^C\0\0Pv\M-~_\^D\^A\0\0\
	\^R\0\^A\M^?\M^X\^C\0\0\^Pt\M-~_\M-D\0\0\0\^R\0\^A\M^?\M-A\^A\0\0\240'\
	\M-~_\240\0\0\0\^R\0\^A\M^?\M-9\^B\0\0`Z\M-~_\M-<\0\0\0\^R\0\^A\M^?3\
	\^A\0\0\240\^\\M-~_\M-8\0\0\0\^R\0\^A\M^?'\^B\0\0@D\M-~_\240\^F\0\0\^R\
	\0\^A\M^?\M-u\^B\0\0000^\M-~_\M^L\0\0\0\^R\0\^A\M^?;\^C\0\0\M-hf\M-~_\
	\M-<\0\0\0\^R\0\^A\M^?\M^Y\^B\0\0`W\M-~_\M-<\0\0\0\^R\0\^A\M^?\^O\^B\0\
	\0000>\M-~_\M-d\^E\0\0\^R\0\^A\M^?{\^A\0\0\^P%\M-~_\^T\0\0\0\^R\0\^A\
	\M^?\^E\^B\0\0\2407\M-~_\M^H\^F\0\0\^R\0\^A\M^?\M-`\^E\0\0\M^T\M--\M-~\
	_p\0\0\0\^R\0\^A\M^?\M-?\^C\0\0`w\M-~_\M-x\0\0\0\^R\0\^A\M^?n\^E\0\0\
	\M-<\M-+\M-~_`\0\0\0\^R\0\^A\M^?'\^A\0\0\M-0\^[\M-~_\M-d\0\0\0\^R\0\^A\
	\M^?\M-!\^B\0\0 X\M-~_\M-<\0\0\0\^R\0\^A\M^?\M-W\0\0\0\M-P\^X\M-~_T\0\
	\0\0\^R\0\^A\M^?\240\^C\0\0\M-`t\M-~_\M-D\0\0\0\^R\0\^A\M^?\M-c\^D\0\0\
	@\M-"\M-~_\^P\^B\0\0\^R\0\^A\M^?\f\^E\0\0X\M-&\M-~_T\0\0\0\^R\0\^A\M^?\
	\M-i\^A\0\0\M-P)\M-~_\M^@\0\0\0\^R\0\^A\M^?\M--\^A\0\0p&\M-~_\240\0\0\
	\0\^R\0\^A\M^?\M-k\0\0\0\M^P\^Y\M-~_T\0\0\0\^R\0\^A\M^?\M-w\^E\0\0\^D\
	\M-.\M-~_X\^A\0\0\^R\0\^A\M^?\^Q\^A\0\0\M-p\^Z\M-~_H\0\0\0\^R\0\^A\M^?\
	\M-L\^B\0\0\M-@[\M-~_\M-\\0\0\0\^R\0\^A\M^?\M^I\^A\0\0000%\M-~_T\0\0\0\
	\^R\0\^A\M^?\M^Q\^B\0\0\240V\M-~_\M-<\0\0\0\^R\0\^A\M^?\M-N\0\0\0\M-0\
	\^X\M-~_ \0\0\0\^R\0\^A\M^?q\^A\0\0\M^P$\M-~_\M^@\0\0\0\^R\0\^A\M^?\
	\M-I\^C\0\0`x\M-~_t\0\0\0\^R\0\^A\M^?\M-U\^A\0\0\M-@(\M-~_\M-,\0\0\0\
	\^R\0\^A\M^?\M-7\^D\0\0\M-x\M^[\M-~_\M-`\^B\0\0\^R\0\^A\M^?V\^C\0\0000\
	l\M-~_\134\^B\0\0\^R\0\^A\M^?\M-b\^B\0\0`]\M-~_p\0\0\0\^R\0\^A\M^?M\^C\
	\0\0ph\M-~_\M-8\^C\0\0\^R\0\^A\M^?`\^E\0\0\M-4\M-(\M-~_\^T\0\0\0\^R\0\
	\^A\M^?\M-#\^A\0\0\0&\M-~_h\0\0\0\^R\0\^A\M^?\M-1\^B\0\0\240Y\M-~_\M-<\
	\0\0\0\^R\0\^A\M^?\M-R\^C\0\0Py\M-~_\M-(\0\0\0\^R\0\^A\M^?\M-"\^E\0\0\
	\M-p\M-,\M-~_T\0\0\0\^R\0\^A\M^?f\^B\0\0\0Q\M-~_\^X\^B\0\0\^R\0\^A\M^?\
	\M-_\^A\0\0p)\M-~_`\0\0\0\^R\0\^A\M^?\M^@\^C\0\0\240q\M-~_\M-D\0\0\0\
	\^R\0\^A\M^?\^Z\^F\0\0\M-(\M-/\M-~_x\0\0\0\^R\0\^A\M^?Z\^A\0\0\^P!\M-~\
	_\M^H\0\0\0\^R\0\^A\M^?\M-)\^B\0\0\M-`X\M-~_\M-<\0\0\0\^R\0\^A\M^?\M^Y\
	\^A\0\0\M^P%\M-~_`\0\0\0\^R\0\^A\M^?\^[\^D\0\0\f\M^@\M-~_\^X\0\0\0\^R\
	\0\^A\M^?\M-7\^A\0\0\^P'\M-~_\M^L\0\0\0\^R\0\^A\M^?a\^D\0\0\240\^?\M-~\
	_T\0\0\0\^R\0\^A\M^?A\^D\0\0p\^?\M-~_\^X\0\0\0\^R\0\^A\M^?\M-K\^A\0\0@\
	(\M-~_\M^@\0\0\0\^R\0\^A\M^?\M-N\^D\0\0d\240\M-~_\M-\\^A\0\0\^R\0\^A\
	\M^?D\^E\0\0|\M-(\M-~_ \0\0\0\^R\0\^A\M^?\M-|\^A\0\0@1\M-~_T\^F\0\0\^R\
	\0\^A\M^?@\^A\0\0`\^]\M-~_\M-8\0\0\0\^R\0\^A\M^?\M-E\0\0\0`\^X\M-~_D\0\
	\0\0\^R\0\^A\M^?6\^E\0\0T\M-(\M-~_(\0\0\0\^R\0\^A\M^?\M^P\^C\0\0@s\M-~\
	_\M-D\0\0\0\^R\0\^A\M^?\M-m\^C\0\0\M-t\^?\M-~_\^X\0\0\0\^R\0\^A\M^?~\
	\^F\0\0\0\0\0\0\0\0\0\0\^Q\0\M-q\M^?D\^C\0\0\M-$g\M-~_\M-H\0\0\0\^R\0\
	\^A\M^?\M-D\^E\0\0D\M--\M-~_P\0\0\0\^R\0\^A\M^?T\^B\0\0\M^DO\M-~_\M-4\
	\0\0\0\^R\0\^A\M^?\^U\^F\0\0 \M-K\M-~_H\^A\0\0\^R\0\0\0\M-/\0\0\0\^\\
	\M-,\M-~_P\0\0\0\^R\0\^A\M^?\M^[\0\0\0\0\0\0\0\0\0\0\0"\0\0\0\M^P\^D\0\
	\0\^P\M-K\M-~_\^\\0\0\0\^R\0\0\0\b\^A\0\0\240\^Z\M-~_H\0\0\0\^R\0\^A\
	\M^?M\^A\0\0 \^^\M-~_\M-p\^B\0\0\^R\0\^A\M^?d\^A\0\0\240!\M-~_\M-p\^B\
	\0\0\^R\0\^A\M^?\M^W\^D\0\0\0\M-K\M-~_\M-0\0\0\0\^R\0\0\0}\0\0\0`\M-/\
	\M-~_H\0\0\0\^R\0\^A\M^?\M^S\^A\0\0\M-p\M-J\M-~_`\^A\0\0\^R\0\0\0\M^[\
	\^E\0\0\M-`\M-J\M-~_l\^B\0\0\^R\0\0\0h\0\0\0\0\0\0\0\0\0\0\0"\0\0\0\
	\M-0\^D\0\0\M-P\M-J\M-~_\b\^B\0\0\^R\0\0\0\^[\^A\0\0@\^[\M-~_d\0\0\0\
	\^R\0\^A\M^?\^?\^D\0\0p\M-B\M-~_p\^B\0\0\^R\0\^A\M^?\0_DYNAMIC\0_GLOBA\
	L_OFFSET_TABLE_\0_procedure_table\0_procedure_string_table\0_procedure\
	_table_size\0_gp_disp\0__cxa_finalize\0_init\0__deregister_frame_info\
	\0_fini\0_Jv_RegisterClasses\0__register_frame_info\0__muldi3\0__negdi\
	2\0__lshrdi3\0__ashldi3\0__ashrdi3\0__ffsdi2\0__clz_tab\0__cmpdi2\0__u\
	cmpdi2\0__floatdidf\0__floatdisf\0__fixunsdfsi\0__fixunssfsi\0__fixuns\
	dfdi\0__fixdfdi\0__fixunssfdi\0__fixsfdi\0__clear_cache"
 23269 test     GIO   fd 3 read 8 bytes
       "\0__absvs"
 23269 test     RET   read 4096/0x1000
 23269 test     CALL  mmap(0,0x4e000,0x5,0x2,0x3,0,0,0)
 23269 test     RET   mmap 806584320/0x30138000
 23269 test     CALL  mmap(0x30185000,0x1000,0x3,0x12,0x3,0,0xd000,0)
 23269 test     RET   mmap 806899712/0x30185000
 23269 test     CALL  mmap(0x30186000,0,0x3,0x1012,0xffffffff,0,0,0)
 23269 test     RET   mmap 806903808/0x30186000
 23269 test     CALL  munmap(0x30146000,0x3f000)
 23269 test     RET   munmap 0
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  __stat13(0x30002140,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002140,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002140,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004100,0x7fffe404)
 23269 test     NAMI  "/usr/local/qt-3.1.1/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002140,0x7fffe404)
 23269 test     NAMI  "/usr/lib/libc.so.12"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30002140,0,0)
 23269 test     NAMI  "/usr/lib/libc.so.12"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-`%\M^?_4\0\0\0|\
	\M-b\^U\0\^C\0\0\0004\0 \0\^F\0(\0G\0D\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  open(0x30002140,0,0x1)
 23269 test     NAMI  "/usr/lib/libc.so.12"
 23269 test     RET   open 3
 23269 test     CALL  __fstat13(0x3,0x7fffe494)
 23269 test     RET   __fstat13 0
 23269 test     CALL  read(0x3,0x7fffd42c,0x1000)
 23269 test     GIO   fd 3 read 4088 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-`%\M^?_4\0\0\0|\
	\M-b\^U\0\^C\0\0\0004\0 \0\^F\0(\0G\0D\0\0\0\0p\0\^A\0\0\0\^A\M-~_\0\
	\^A\M-~_\^X\0\0\0\^X\0\0\0\^D\0\0\0\^P\0\0\0\^A\0\0\0\0\0\0\0\0\0\M-~_\
	\0\0\M-~_\^P\M-?\f\0\^P\M-?\f\0\^E\0\0\0\0\^P\0\0\^A\0\0\0\^P\M-?\f\0\
	\^P\M-?\^N`\^P\M-?\^N`X=\0\0\240\r\^A\0\^F\0\0\0\0\^P\0\0\^B\0\0\0 \^A\
	\0\0 \^A\M-~_ \^A\M-~_\M-H"\^A\0\M-H"\^A\0\^D\0\0\0\^P\0\0\0\^A\0\0p\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0Pt\^A\0\^D\0\0\0\^P\0\0\0\^D\0\0\0\M-0\
	\M^\\f\0\M-0\M^\
	`\M-0\M^\
	`\^X\0\0\0\^X\0\0\0\^D\0\0\0\^D\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0>\0\a\M-2\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0q\^O`\0\0\0\0\0\0\0\0\^N\0\0\0TZ\0\0\
	\^O\0\0\0_Z\0\0\f\0\0\0\M-,$\M^?_\r\0\0\0\^T\M-z	`\^D\0\0\0\M-p\
	\^A\M-~_\^E\0\0\0\M^@\M-I\M-~_\^F\0\0\0\M^PC\M-~_
	\0\0\0hZ\0\0\v\0\0\0\^P\0\0\0\^V\0\0\0\0\0\0\0\^C\0\0\0\^P\M-q\^N`\^Q\
	\0\0\0\M-P\M^\
	`\^R\0\0\0@"\0\0\^S\0\0\0\b\0\0\0\v\0\0p\0\0\0\0\^P\0\0p\0\0\0\0\^A\0\
	\0p\^A\0\0\0\^E\0\0p\^B\0\0\0\^F\0\0p\0\0\M-~_
	\0\0p\^T\0\0\0\^Q\0\0p_\b\0\0\^R\0\0pD\0\0\0\^S\0\0p\M^]\^E\0\0\^T\0\0\
	p\^R\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^E\b\0\0_\b\0\0\M-w\^B\0\0U\
	\^F\0\0\0\0\0\0\0\0\0\0\a\^A\0\0\^B\a\0\0006\^A\0\0\0\0\0\0D\^B\0\0\0\
	\0\0\0\v\^D\0\0\0\0\0\0R\0\0\0\M-l\^B\0\0\M-V\^E\0\0\0\0\0\0\0\0\0\0\
	\M^G\a\0\0\M-i\^F\0\0\0\0\0\0\M-b\^F\0\0"\^C\0\0\0\0\0\0\M-f\^D\0\0\
	\M^X\^D\0\0\M^R\^E\0\0\M-)\^D\0\0\^O\a\0\0\0\0\0\0\M-S\^E\0\0\0\0\0\0\
	\^E\^B\0\0]\^E\0\0\0\0\0\0\0\0\0\0\M-/\^E\0\0\M-D\^C\0\0\0\0\0\0\0\0\0\
	\0\M^S\^B\0\0\M-`\^D\0\0\^?\a\0\0\M->\^E\0\0V\^A\0\0B\^E\0\0\0\0\0\0\
	\M-F\^D\0\0\M-'\^D\0\0007\^B\0\0\0\0\0\0\0\0\0\0\M-y\^D\0\0i\^F\0\0\^C\
	\^D\0\0\M-W\^E\0\0\0\0\0\0!\^F\0\0\M-]\^B\0\0007\^C\0\0\M^\\^E\0\0w\a\
	\0\0\M^H\^E\0\0S\a\0\0\0\0\0\0\0\0\0\0\0\0\0\0>\^F\0\0\0\0\0\0x\^F\0\0\
	\M-@\0\0\0\M^I\a\0\0^\a\0\0\0\0\0\0\0\0\0\0\0\0\0\0C\b\0\0\M^Y\^A\0\0\
	\^Y\^F\0\0}\a\0\0\M^H\^C\0\0G\b\0\0\M-s\^E\0\0\0\0\0\0\M-B\^D\0\0\M-+\
	\^F\0\0\M^V\^E\0\0\M-H\^C\0\0\0\0\0\0}\^C\0\0z\^E\0\0\0\0\0\0\M^P\^B\0\
	\0\M-Q\a\0\0\0\0\0\0L\^C\0\0"\^E\0\0\M-9\^E\0\0\^Z\^B\0\0\0\0\0\0\M-o\
	\^D\0\0\0\0\0\0\^Y\^D\0\0u\^D\0\0\M-A\a\0\0\M-Y\^E\0\0\240\^C\0\0\0\0\
	\0\0\0\0\0\0\^S\^A\0\0002\^D\0\0\^Y\^A\0\0\^U\a\0\0\M-P\^E\0\0Y\^D\0\0\
	\M-\\^C\0\0\M-^\^B\0\0\0\0\0\0\M-d\^D\0\0F\^E\0\0\M^Y\0\0\0F\a\0\0`\^F\
	\0\0\0\0\0\0\M-L\^F\0\0\M^U\^E\0\0\0\0\0\0\M-q\^C\0\0\0\0\0\0\M^^\^D\0\
	\0\M^X\^F\0\0-\b\0\09\^F\0\0\0\0\0\0002\^F\0\0\0\0\0\0b\^F\0\0\M^]\^D\
	\0\0\M-j\^D\0\0\0\0\0\0\M-G\^B\0\0K\^C\0\0\^[\a\0\0\^]\^E\0\0\M-{\^C\0\
	\0\M-=\^C\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-P\^D\0\0z\^F\0\0\0\0\0\
	\0\0\0\0\0D\b\0\0\M-R\^F\0\0\M^?\^F\0\0\0\0\0\0\^T\^F\0\0\0\0\0\0+\^C\
	\0\0\0\0\0\0\M-1\a\0\0\^Z\a\0\0|\^E\0\0\^A\^A\0\0\M-%\^C\0\0\M-]\^F\0\
	\0x\^A\0\0\0\0\0\0X\^A\0\0\0\0\0\0\0\0\0\0\M-*\^E\0\0\^X\^F\0\0\M-p\^C\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0001\^D\0\0^\^D\0\0\
	\M^C\^D\0\0\^P\^E\0\0\M-)\^C\0\0\0\0\0\0\M-d\a\0\0c\^E\0\0p\^D\0\0
	\^A\0\0\M-K\^E\0\0\0\0\0\0\^Q\^B\0\0q\^B\0\0\0\0\0\0+\^D\0\0\0\0\0\0\0\
	\0\0\0\a\^D\0\0\0\0\0\0\M-V\0\0\0x\a\0\0\0\0\0\0\M-|\^B\0\0\M-f\^B\0\0\
	\0\0\0\0%\^D\0\0\0\0\0\0\M-.\^B\0\0\M^I\^A\0\0\^F\^C\0\0Y\^F\0\0M\^C\0\
	\0
	\^C\0\0\M-H\a\0\0\0\0\0\0C\^B\0\0\0\0\0\0\0\0\0\0\M^M\^D\0\0\^F\^D\0\0\
	\f\^B\0\0\0\0\0\0\^Y\^B\0\0\M-[\^D\0\0o\^F\0\0\0\0\0\0\M^V\a\0\0e\^A\0\
	\0\0\0\0\0\M^P\^E\0\0\0\0\0\0T\^F\0\0\M-c\^D\0\0Z\0\0\0\M^O\^D\0\0\0\0\
	\0\0\M^M\^C\0\0\0\0\0\0N\0\0\0\r\^A\0\0\0\0\0\0\0\0\0\0n\^E\0\0\0\0\0\
	\0\0\0\0\0\134\^F\0\0*\^C\0\0\M-Z\^F\0\0\M-y\^E\0\0\M-"\^F\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0C\^A\0\0\M^@\^C\0\0\f\^E\0\0\M-#\^A\0\0\0\0\0\0\M-Z\a\
	\0\0\0\0\0\0\134\^D\0\0(\^F\0\0\M-D\^D\0\0\134\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0Z\b\0\0\0\0\0\0\0\0\0\0\M-I\^E\0\0\0\0\0\
	\0\M^J\^E\0\0\^S\b\0\0[\^A\0\0O\a\0\0\0\0\0\0\^]\^F\0\0\0\0\0\0Q\^F\0\
	\0'\^B\0\0\M-L\^B\0\0\M^L\a\0\0\0\0\0\0\M^O\^E\0\0C\^E\0\0\M-+\^B\0\0\
	\0\0\0\0\M^E\^C\0\0=\^B\0\0\0\0\0\0\M-o\^A\0\0	\a\0\0\M-n\^C\0\0\M-=\
	\^D\0\0\0\0\0\0\0\0\0\0\M-t\^D\0\0\M-R\a\0\0_\a\0\0\0\0\0\0\M-7\^B\0\0\
	\M^J\^F\0\0\^R\^C\0\0007\^D\0\0T\b\0\0a\^F\0\0\0\0\0\0\0\0\0\0\M-G\^E\
	\0\0\M^O\^F\0\0y\^D\0\0\0\0\0\0k\^E\0\0e\^D\0\0\0\0\0\0\M-e\^B\0\0h\a\
	\0\0\0\0\0\0\M->\^F\0\0\M-I\^D\0\0\0\0\0\0\0\0\0\0\M-Y\^F\0\0z\^D\0\0\
	\M-z\^D\0\0\M-@\a\0\0*\a\0\0\0\0\0\0\0\0\0\0\M^U\^D\0\0\M-6\^A\0\0\M^H\
	\^F\0\0\0\0\0\0\0\0\0\0\M^W\0\0\0\0\0\0\0\M-4\^F\0\0\0\0\0\0\0\0\0\0\
	\M-|\^E\0\0y\^E\0\0(\b\0\0\M-|\^F\0\0'\^D\0\0\M-(\^F\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\M-j\^E\0\0=\^D\0\0\M^U\^B\0\0Q\^C\0\0/\^C\0\0\M-z\a\0\0\0\0\
	\0\0N\b\0\0\M^M\^B\0\0\M^F\^B\0\0\M-:\^E\0\0v\^F\0\0i\^C\0\0\0\0\0\0\
	\M-.\^E\0\0H\0\0\0005\^D\0\0\0\0\0\0\0\0\0\0\M-{\^E\0\0\^\\^D\0\0'\^C\
	\0\0\M^P\^D\0\0\0\0\0\0\0\0\0\0\M-H\^A\0\0\0\0\0\0\0\0\0\0f\^D\0\0\0\0\
	\0\0!\a\0\0t\^E\0\0\M-=\^B\0\0\0\0\0\0\M-2\^E\0\0\M-s\^F\0\0\M-p\^D\0\
	\0\0\0\0\0p\a\0\0w\^E\0\0t\^B\0\0p\^F\0\0\M-X\a\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0^\0\0\0\0\0\0\0003\^C\0\0\M-h\^B\0\0\M-B\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\M-r\^F\0\0m\0\0\0\0\0\0\0\^Z\^F\0\0\M^A\0\0\0\0\0\0\0\
	\M-t\^E\0\0K\^E\0\0\0\0\0\0b\^E\0\0\M-`\a\0\0\0\0\0\0S\^F\0\0m\^C\0\0\
	\M->\^B\0\0=\^A\0\0\0\0\0\0\M-8\^A\0\0\0\0\0\08\b\0\0h\^D\0\0J\^E\0\0\
	\^D\a\0\0r\^B\0\0X\^E\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-!\^F\0\0\0\0\0\0\
	\M-?\a\0\0\0\^B\0\0\M^V\0\0\0\M-U\^E\0\0\^N\a\0\0\M-a\^D\0\08\a\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^E\^C\0\0s\^F\0\0\M-h\0\0\0o\^D\0\0\M-f\
	\^E\0\0\0\0\0\0\^N\^E\0\0\0\0\0\0\0\0\0\0_\^D\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\^_\a\0\0t\^A\0\0\0\0\0\0\M-1\^E\0\0\M-A\^E\0\0\f\^A\0\0P\
	\^A\0\0\M-B\^A\0\0\0\0\0\0\0\0\0\0\M--\^C\0\0\0\0\0\0[\^E\0\0\M-r\^A\0\
	\0\M-=\0\0\0\0\0\0\0\0\0\0\0\M-w\^D\0\0\0\0\0\0\M-_\^A\0\0\0\0\0\0\0\0\
	\0\0x\^E\0\0\M-V\^C\0\0\^T\^D\0\0\M^Y\^C\0\0\^N\^B\0\0/\^E\0\0\0\0\0\0\
	\^F\^F\0\0\M-<\a\0\0o\^B\0\0\M-;\^E\0\0\0\0\0\0\M-{\^A\0\0\0\0\0\0'\^E\
	\0\0\^_\^C\0\0\0\0\0\0\0\0\0\0o\^E\0\0=\^C\0\0\0\0\0\0S\^B\0\0\M-R\^B\
	\0\0\b\a\0\0\0\0\0\0t\^D\0\0\0\0\0\0l\a\0\0\0\0\0\0\0\0\0\0A\^F\0\0\0\
	\0\0\0\M-3\^D\0\0003\a\0\0\^E\^F\0\0\a\b\0\0\0\0\0\0\M^E\^A\0\0\0\0\0\
	\0\M^@\^B\0\0\M^@\^D\0\0z\^C\0\0\0\0\0\0\0\0\0\0q\^F\0\0H\b\0\0\0\0\0\
	\0\M-`\^C\0\0\0\0\0\0\0\0\0\0\v\^E\0\0D\^E\0\0d\^D\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\M^D\^B\0\0d\^E\0\0\0\0\0\0\^^\^A\0\0\M-\\^E\0\0\M-5\^D\0\0p\
	\^A\0\0\0\0\0\0s\^E\0\0\M-O\^E\0\0\0\0\0\0N\^A\0\0\M-v\^A\0\0005\a\0\0\
	\^_\^E\0\0\M^J\^B\0\0i\^E\0\0\M-f\0\0\0\0\0\0\0004\^C\0\0m\a\0\0@\^E\0\
	\0\^[\^E\0\0\^Z\^E\0\0@\a\0\0\0\0\0\0\0\0\0\0\M-}\^B\0\0\M-b\a\0\0\M^I\
	\^F\0\0\M-X\^E\0\0\0\0\0\0\M^S\^D\0\0\0\0\0\0\M^_\^D\0\0\M-Q\^C\0\0\0\
	\0\0\0\0\0\0\0\^\\^B\0\0\M-H\^D\0\0(\^B\0\0?\^D\0\0\M-$\^E\0\0\M-?\^F\
	\0\0\M-e\0\0\0\0\0\0\0+\^E\0\0!\b\0\0\0\0\0\0j\^B\0\0\M^]\^C\0\0\M-8\
	\^D\0\0\0\0\0\0}\^B\0\0\M-W\a\0\0\M-9\^F\0\0006\b\0\0\0\0\0\0\M-v\^C\0\
	\0\0\0\0\0\a\a\0\0\M-+\a\0\0a\a\0\0\0\0\0\0\0\0\0\0\0\0\0\0<\^B\0\0/\
	\^B\0\0\0\0\0\0r\^E\0\0\0\0\0\0\0\0\0\0F\^C\0\0\M-}\a\0\0\M-y\^F\0\0\
	\M-2\^C\0\0\M-Q\^E\0\0\0\0\0\0\0\0\0\0\M-T\^C\0\0\0\0\0\0$\^B\0\0\M-O\
	\^C\0\0}\^E\0\0u\^E\0\0J\b\0\0\0\0\0\0\M-O\^D\0\0f\^E\0\0W\^F\0\0>\a\0\
	\0\M^S\0\0\0\M^]\^A\0\0,\a\0\0D\^D\0\0\M-<\^D\0\0%\^C\0\0\0\0\0\0\0\0\
	\0\0\M-^\^E\0\0\0\0\0\0\0\0\0\0\M-~\^D\0\0\0\0\0\0\0\0\0\0\M-N\^A\0\0\
	\M^D\^D\0\0\M--\^E\0\0\M^^\^F\0\0\0\0\0\0\M-c\0\0\0\0\0\0\0\0\0\0\0J\
	\^D\0\0\0\0\0\0\M-j\^F\0\0k\^B\0\0\0\0\0\0\0\0\0\0n\^C\0\0\0\0\0\0\M-:\
	\^F\0\0Z\^B\0\0\0\0\0\0\0\0\0\0\M-.\^F\0\0-\^E\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\M-4\^E\0\0\0\0\0\0\M-)\a\0\0\0\0\0\0\M^P\a\0\0Y\^B\0\0\M^K\^E\0\0\
	\0\0\0\0\M-?\^B\0\0 \^B\0\0\0\0\0\0\0\0\0\0\0\0\0\0	\^D\0\0\M-,\^C\
	\0\0\0\0\0\0v\^E\0\0F\^B\0\0\0\0\0\0J\^A\0\0\0\0\0\0\M^\\0\0\0\b\^D\0\
	\0\0\0\0\0\0\0\0\0"\^F\0\0m\^D\0\0\M-/\^A\0\0\0\0\0\0\M-J\^D\0\0\0\0\0\
	\0\M-:\^C\0\0k\a\0\0\M-E\^E\0\0\0\0\0\0\M-O\^F\0\0006\^F\0\0;\^E\0\0\
	\M-?\^E\0\0\^B\^F\0\0\^S\^D\0\0\M-x\^E\0\0\0\0\0\0\0\0\0\0\M-*\^B\0\0\
	\M-?\^D\0\0\0\0\0\0\0\0\0\0\0\0\0\0>\^D\0\0\0\0\0\0002\a\0\0\0\0\0\0\0\
	\0\0\0 \^C\0\0\0\0\0\0\M-e\^E\0\0\0\0\0\0\M^K\^F\0\0v\^C\0\0\M-<\^F\0\
	\0\0\0\0\0\^U\^E\0\0\0\0\0\0:\^F\0\0]\^F\0\0\0\0\0\0B\^D\0\0\M^K\^C\0\
	\0\M-R\^A\0\0\0\0\0\0\^W\^F\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M^E\^E\0\0\M-(\
	\^D\0\0\M-E\^A\0\0\0\0\0\0\0\0\0\0\M-N\^E\0\0\M-r\^E\0\0\M-g\^D\0\0\0\
	\0\0\0001\^A\0\0\M^Y\^F\0\0\240\^D\0\09\a\0\0\0\0\0\0\M-L\^E\0\0R\a\0\
	\0\M^M\^F\0\0\0\0\0\0\0\0\0\0h\^A\0\0\M-o\^F\0\0\M-s\0\0\0\r\^E\0\0\
	\M^Q\^D\0\0\M-_\^F\0\0\M-n\^F\0\0\M-H\^E\0\0\0\0\0\0#\^D\0\0\M-~\^C\0\
	\0\0\0\0\0B\^F\0\0\^[\^D\0\0E\^C\0\0\0\0\0\0\0\0\0\0\0\0\0\0\f\a\0\0\
	\^E\a\0\0\M^O\^C\0\0\0\0\0\0&\^F\0\0g\0\0\0\0\0\0\0\0\0\0\0\^X\^C\0\0Y\
	\^C\0\0Y\a\0\0\0\0\0\0\^O\^F\0\0\M-\\0\0\0\M-4\0\0\09\^B\0\0K\^F\0\0\0\
	\0\0\0\M-s\^B\0\0\M-G\0\0\0r\^C\0\0\0\0\0\0\M^R\^D\0\0I\^C\0\0\M-|\a\0\
	\0\^\\^F\0\0\^A\a\0\0\M-u\^D\0\0\0\0\0\0(\^C\0\0\0\0\0\0\M^F\0\0\0\^V\
	\^E\0\0\0\0\0\0\M-I\^C\0\0\M-O\a\0\0`\^B\0\0\0\0\0\0\M-J\^F\0\0\M^]\^E\
	\0\0I\^E\0\0\v\^C\0\0\M-+\^D\0\0\M-1\^A\0\0\0\0\0\0\M^B\a\0\0\^N\^D\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^X\^E\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0}\^F\0\0\M-2\0\0\0\M-l\^E\0\0/\^A\0\0\M-r\a\0\0\0\0\0\0\^R\^E\0\
	\0\0\0\0\0\M-M\^B\0\0\0\0\0\0\0\0\0\0\M-:\^A\0\0\0\0\0\0\M-]\^C\0\08\
	\^C\0\0I\b\0\0\0\^D\0\0_\^F\0\0E\0\0\0c\0\0\0\0\0\0\0\M-Y\a\0\0\M-t\^C\
	\0\0\0\0\0\0t\^F\0\0\M-X\^C\0\0\0\0\0\0G\^D\0\0\M-p\^E\0\0005\^E\0\0\
	\M-`\^F\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M-m\^D\0\0\M-S\^F\0\0\M-M\^C\0\0\
	\M-F\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\^]\^A\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0	\^E\0\0\0\0\0\0:\^C\0\0\M-h\^E\0\0\0\0\0\0)\^A\
	\0\0\^O\^E\0\0\^X\^D\0\0"
 23269 test     GIO   fd 3 read 8 bytes
       "\0\0\0\0\M-;\^D\0\0"
 23269 test     RET   read 4096/0x1000
 23269 test     CALL  mmap(0,0x11d000,0x5,0x2,0x3,0,0,0)
 23269 test     RET   mmap 806912000/0x30188000
 23269 test     CALL  mmap(0x30293000,0x5000,0x3,0x12,0x3,0,0xcb000,0)
 23269 test     RET   mmap 808005632/0x30293000
 23269 test     CALL  mmap(0x30298000,0xd000,0x3,0x1012,0xffffffff,0,0,0)
 23269 test     RET   mmap 808026112/0x30298000
 23269 test     CALL  munmap(0x30254000,0x3f000)
 23269 test     RET   munmap 0
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004100,0x7fffe404)
 23269 test     NAMI  "/usr/local/qt-3.1.1/lib/libm.so.0"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/lib/libm.so.0"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30002180,0,0)
 23269 test     NAMI  "/usr/lib/libm.so.0"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-P\^^\M-~_4\0\0\0\
	`7\^C\0\^C\0\0\0004\0 \0\^F\0(\0\^[\0\^X\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/X11R6/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/pkg/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/local/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30004100,0x7fffe404)
 23269 test     NAMI  "/usr/local/qt-3.1.1/lib/libc.so.12"
 23269 test     RET   __stat13 -1 errno 2 No such file or directory
 23269 test     CALL  __stat13(0x30002180,0x7fffe404)
 23269 test     NAMI  "/usr/lib/libc.so.12"
 23269 test     RET   __stat13 0
 23269 test     CALL  open(0x30002180,0,0)
 23269 test     NAMI  "/usr/lib/libc.so.12"
 23269 test     RET   open 3
 23269 test     CALL  read(0x3,0x7fffe46c,0x34)
 23269 test     GIO   fd 3 read 52 bytes
       "\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\b\0\^A\0\0\0\M-`%\M^?_4\0\0\0|\
	\M-b\^U\0\^C\0\0\0004\0 \0\^F\0(\0G\0D\0"
 23269 test     RET   read 52/0x34
 23269 test     CALL  close(0x3)
 23269 test     RET   close 0
 23269 test     CALL  mprotect(0x400000,0x2000,0x7)
 23269 test     RET   mprotect 0
 23269 test     PSIG  SIGSEGV SIG_DFL


Comment 5 Dara Hazeghi 2003-06-29 02:25:39 UTC
Thanks for the feedback. Looks like this is indeed still present.
Comment 6 Dara Hazeghi 2003-08-24 17:27:10 UTC
Eric, did you mean to assign this to someone? Currently the bug is assigned, but only to 
unassigned@gcc.gnu.org :-(
Comment 7 Andrew Pinski 2003-11-25 08:33:38 UTC
I want to say this is bug in netbsd's ld.so.
Comment 8 Eric Christopher 2003-11-25 11:40:24 UTC
I believe this is a loader bug with this as the patch:
http://cvsweb.netbsd.org/bsdweb.cgi/src/libexec/ld.elf_so/arch/mips/mips_reloc.c

I've been unable to test this though.

-eric
Comment 9 Eric Christopher 2003-11-25 11:55:23 UTC
Someone else tested and confirmed that it works.